Skip to main content
PATCH
Update gateway
The request body must include the full gateway spec (name, zones, the chosen authentication type, the chosen routing strategy). This endpoint does not accept a field mask.
Example request

인증

Authorization
string
header
기본값:Bearer {API_ACCESS_TOKEN}
필수

CoreWeave API access token sent as a bearer token.

경로 매개변수

id
string
필수

The unique identifier of the gateway to update, UUID format

본문

application/json

Request for UpdateGateway

id
string
필수

The unique identifier of the gateway to update, UUID format

name
string
필수

The human readable name of the gateway. Capped at 38 characters, matching CreateGatewayRequest.name.

zones
string[]

The zones to make the gateway available in, limits where deployments associated with the gateway may exist, no zones means all may be used.

coreWeaveAuth
object

CoreWeave IAM

weightsAndBiasesAuth
object

Weights & Biases

endpointConfiguration
object

Additional endpoint configuration options

bodyBasedRouting
object

Body based routing

headerBasedRouting
object

Header based routing

pathBasedRouting
object

Path based routing

응답

OK

Response for UpdateGateway

gateway
object

The updated gateway

마지막 수정일 2026년 9월 30일